Package org.eclipse.microprofile.rest.client.tck.ext

# Class CdiCustomClientHeadersFactory

java.lang.Object
org.eclipse.microprofile.rest.client.tck.ext.CdiCustomClientHeadersFactory

All Implemented Interfaces:
  `ClientHeadersFactory`

@ApplicationScoped public class CdiCustomClientHeadersFactory extends Object implements ClientHeadersFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`invoked`
`static boolean`
`isIncomingHeadersMapNull`
`static boolean`
`isOutgoingHeadersMapNull`
`static jakarta.ws.rs.core.MultivaluedMap<String,String>`
`passedInOutgoingHeaders`

## Constructor Summary

Constructors
Constructor
Description
`CdiCustomClientHeadersFactory()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.MultivaluedMap<String,String>`
`update(jakarta.ws.rs.core.MultivaluedMap<String,String> incomingHeaders, jakarta.ws.rs.core.MultivaluedMap<String,String> clientOutgoingHeaders)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### passedInOutgoingHeaders

public static jakarta.ws.rs.core.MultivaluedMap<String,String> passedInOutgoingHeaders

### isIncomingHeadersMapNull

public static boolean isIncomingHeadersMapNull

### isOutgoingHeadersMapNull

public static boolean isOutgoingHeadersMapNull

### invoked

public static boolean invoked

## Constructor Details

### CdiCustomClientHeadersFactory

public CdiCustomClientHeadersFactory()

## Method Details

### update

public jakarta.ws.rs.core.MultivaluedMap<String,String> update(jakarta.ws.rs.core.MultivaluedMap<String,String> incomingHeaders, jakarta.ws.rs.core.MultivaluedMap<String,String> clientOutgoingHeaders)

Specified by:
  `update` in interface `ClientHeadersFactory`